## org.gnu.pango
Class Stretch

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.pango.Stretch

public class Stretch
extends org.gnu.glib.Enum

An enumeration specifying the width of the font relative to other designs within a family.

Field Summary
`static Stretch` `CONDENSED`
`static Stretch` `EXPANDED`
`static Stretch` `EXTRA_CONDENSED`
`static Stretch` `EXTRA_EXPANDED`
`static Stretch` `NORMAL`
`static Stretch` `SEMI_CONDENSED`
`static Stretch` `SEMI_EXPANDED`
`static Stretch` `ULTRA_CONDENSED`
`static Stretch` `ULTRA_EXPANDED`

Method Summary
`Stretch` `and(Stretch other)`
`static Stretch` `intern(int value)`
`Stretch` `or(Stretch other)`
`boolean` `test(Stretch other)`
`Stretch` `xor(Stretch other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ULTRA_CONDENSED

    public static final Stretch ULTRA_CONDENSED

### EXTRA_CONDENSED

    public static final Stretch EXTRA_CONDENSED

### CONDENSED

    public static final Stretch CONDENSED

### SEMI_CONDENSED

    public static final Stretch SEMI_CONDENSED

### NORMAL

    public static final Stretch NORMAL

### SEMI_EXPANDED

    public static final Stretch SEMI_EXPANDED

### EXPANDED

    public static final Stretch EXPANDED

### EXTRA_EXPANDED

    public static final Stretch EXTRA_EXPANDED

### ULTRA_EXPANDED

    public static final Stretch ULTRA_EXPANDED

Method Detail

### intern

    public static Stretch intern(int value)

### or

    public Stretch or(Stretch other)

### and

    public Stretch and(Stretch other)

### xor

    public Stretch xor(Stretch other)

### test

    public boolean test(Stretch other)